| AnyConnect Secure Mobility Client 5.1.10.233

Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
PromptDialog Class Reference

## Public Types
enum | { IDD = IDD_PROMPTDIALOG }

## Public Member Functions
| PromptDialog (MainDialog *pParent=NULL)
afx_msg void | OnEnChangeEdit1 ()
afx_msg void | OnEnChangeEdit2 ()
afx_msg void | OnEnChangeEdit3 ()
afx_msg void | OnBnClickedOk ()

## Public Attributes
CString | m_text1
CString | m_text2
CString | m_text3

## Protected Member Functions
virtual void | DoDataExchange (CDataExchange *pDX)
virtual BOOL | OnInitDialog ()

## Protected Attributes
MainDialog * | parentWindow

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

23{ IDD = IDD_PROMPTDIALOG };

## Constructor & Destructor Documentation

## ◆ PromptDialog()

PromptDialog::PromptDialog | ( | MainDialog * | pParent = NULL | ) |

22 : CDialog(PromptDialog::IDD, pParent),
23 m_text1(_T("")),
24 m_text2(_T("")),
25 m_text3(_T(""))
26{
27 parentWindow = pParent;
28}

## ◆ ~PromptDialog()

PromptDialog::~PromptDialog | ( |  | ) |
| virtual

30{ }

## Member Function Documentation

## ◆ DoDataExchange()

void PromptDialog::DoDataExchange | ( | CDataExchange * | pDX | ) |
| protected virtual

33{
34 CDialog::DoDataExchange(pDX);
35 DDX_Text(pDX, IDC_EDIT1, m_text1);
36 DDX_Text(pDX, IDC_EDIT2, m_text2);
37 DDX_Text(pDX, IDC_EDIT3, m_text3);
38}

## ◆ OnBnClickedOk()

void PromptDialog::OnBnClickedOk | ( |  | ) |

68{
69 UpdateData(true);
70 parentWindow->m_pApiImpl->ms_group = m_text1;
71 parentWindow->m_pApiImpl->ms_user = m_text2;
72 parentWindow->m_pApiImpl->ms_pswd = m_text3;
73 OnOK();
74}

## ◆ OnEnChangeEdit1()

void PromptDialog::OnEnChangeEdit1 | ( |  | ) |

53{
54 UpdateData(true);
55}

## ◆ OnEnChangeEdit2()

void PromptDialog::OnEnChangeEdit2 | ( |  | ) |

58{
59 UpdateData(true);
60}

## ◆ OnEnChangeEdit3()

void PromptDialog::OnEnChangeEdit3 | ( |  | ) |

63{
64 UpdateData(true);
65}

## ◆ OnInitDialog()

BOOL PromptDialog::OnInitDialog | ( |  | ) |
| protected virtual

79{
80
81 CDialog::OnInitDialog();
82
83 std::list<tstring> :: iterator name_iter;
84 for (name_iter = parentWindow->m_promptNames.begin();
85 name_iter != parentWindow->m_promptNames.end(); ++name_iter)
86 {
87 PromptEntry *entry = parentWindow->m_pPromptInfo->getPromptEntry(*name_iter);
88
89 if (entry->getPromptType() == Prompt_Combo)
90 {
91 GetDlgItem(IDC_EDIT1)->EnableWindow(true);
92 m_text1 = entry->getPromptLabel().c_str();
93 }
94
95 tstring promptName = entry->getPromptName();
96 if (promptName == L"username")
97 {
98 GetDlgItem(IDC_EDIT2)->EnableWindow(true);
99 m_text2 = entry->getValue().c_str();
100 }
101 else if (promptName == L"password")
102 {
103 GetDlgItem(IDC_EDIT3)->EnableWindow(true);
104 m_text3 = entry->getValue().c_str();
105 }
106 }
107
108 UpdateData(false);
109
110 return true;
111 }
Prompt_Combo
@ Prompt_Combo
Definition api.h:262
tstring
#define tstring
Definition api.h:35
PromptEntry::getPromptName
const tstring & getPromptName() const
PromptEntry::getPromptLabel
const tstring & getPromptLabel() const
PromptEntry::getValue
const tstring & getValue() const
PromptEntry::getPromptType
PromptType getPromptType() const